/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protege.util;

/**
 * Utility class to check a string to see if it is a valid integer.
 * 
 * @author Ray Fergerson
 */

public class IntegerValidator implements NumberValidator {

    private static IntegerValidator _instance = new IntegerValidator();

    public static IntegerValidator getInstance() {
        return _instance;
    }

    public Number convertToNumber(String string) {
        return Integer.valueOf(string);
    }

    public String getErrorMessage(Object o) {
        return "Not a valid integer";
    }

    public boolean isValid(Object o) {
        boolean isValid = false;
        try {
            convertToNumber((String) o);
            isValid = true;
        } catch (NumberFormatException e) {
            // do nothing
        }
        return isValid;
    }

}
